﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //...
            ChartSeries series = new ChartSeries("series1", ChartSeriesType.Scatter);
            ChartCustomPoint cp1 = new ChartCustomPoint();
            ChartCustomPoint cp2 = new ChartCustomPoint();
            ChartCustomPoint cp3 = new ChartCustomPoint();
            series.Points.Add(100, 55);
            series.Points.Add(148, 45);
            series.Points.Add(290, 40);
            cp1.Text = "CustomText1";
            cp1.CustomType = ChartCustomPointType.ChartCoordinates;
            cp1.XValue = 100;
            cp1.YValue = 58;
            cp1.Color = Color.Red;
            cp1.Font.Size = 13;
            cp1.Font.FontStyle = FontStyle.Italic;
            this.chart.CustomPoints.Add(cp1);
            cp2.Text = "CustomText2";
            cp2.CustomType = ChartCustomPointType.ChartCoordinates;
            cp2.XValue = 150;
            cp2.YValue = 48;
            cp2.Color = Color.RoyalBlue;
            cp2.Font.Size = 12;
            cp1.Font.FontStyle = FontStyle.Bold;
            cp3.Text = "CustomText3";
            cp3.CustomType = ChartCustomPointType.ChartCoordinates;
            cp3.XValue = 290;
            cp3.YValue = 43;
            cp3.Color = Color.SeaGreen;
            cp3.Font.Size = 11;
            cp1.Font.FontStyle = FontStyle.Regular;
            this.chart.CustomPoints.Add(cp1);
            this.chart.CustomPoints.Add(cp2);
            this.chart.CustomPoints.Add(cp3);
            this.chart.Series.Add(series);
            this.Controls.Add(chart);
            
        }
    }
}
